@echo off
if exist cfg\wrally.cfg move cfg\wrally.cfg cfg\wrally.bak
if exist hi\wrally.hi move hi\wrally.hi hi\wrally.bak
if exist nvram\wrally.nv move nvram\wrally.nv nvram\wrally.bak
if exist diff\wrally.dif move diff\wrally.dif diff\wrally.bak

mame wrally -record wrally.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\wrally.bak move cfg\wrally.bak cfg\wrally.cfg
if exist hi\wrally.bak move hi\wrally.bak hi\wrally.hi
if exist nvram\wrally.bak move nvram\wrally.bak nvram\wrally.nv
if exist diff\wrally.bak move diff\wrally.bak diff\wrally.dif
